summaryrefslogtreecommitdiff
path: root/libraries/ilmbase
diff options
context:
space:
mode:
authorHeinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:00:49 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:49 +0200
commit08c146e635a504f6554c978864e670033a28aece (patch)
tree8227f91f5c51cb7140fc6a52f218330842f72c5e /libraries/ilmbase
parentaa0be71c1abe9cc5ba446965d391af4d85f8db38 (diff)
downloadslackbuilds-08c146e635a504f6554c978864e670033a28aece.tar.gz
libraries/ilmbase: Added to 12.0 repository
Diffstat (limited to 'libraries/ilmbase')
-rw-r--r--libraries/ilmbase/README6
-rw-r--r--libraries/ilmbase/ilmbase.SlackBuild73
-rw-r--r--libraries/ilmbase/ilmbase.info8
-rw-r--r--libraries/ilmbase/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/libraries/ilmbase/README b/libraries/ilmbase/README
new file mode 100644
index 0000000000..efe0557143
--- /dev/null
+++ b/libraries/ilmbase/README
@@ -0,0 +1,6 @@
+ilmbase - Idustrial Light & Magic base libraries
+ilmbase currently includes:
+ IlmThread - a thread abstraction library
+ Imath - a math function library
+ Iex - an excpetion-handling library
+ Half - Ilm's 16 bit floating point format library
diff --git a/libraries/ilmbase/ilmbase.SlackBuild b/libraries/ilmbase/ilmbase.SlackBuild
new file mode 100644
index 0000000000..a08a51acc0
--- /dev/null
+++ b/libraries/ilmbase/ilmbase.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for ilmbase
+
+# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ilmbase
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ilmbase/ilmbase.info b/libraries/ilmbase/ilmbase.info
new file mode 100644
index 0000000000..1492007e4e
--- /dev/null
+++ b/libraries/ilmbase/ilmbase.info
@@ -0,0 +1,8 @@
+PRGNAM="ilmbase"
+VERSION="1.0.1"
+HOMEPAGE="http://www.openexr.org/"
+DOWNLOAD="http://download.savannah.nongnu.org/releases/openexr/ilmbase-1.0.1.tar.gz"
+MD5SUM="f76f094e69a6079b0beb93d97e2a217e"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/libraries/ilmbase/slack-desc b/libraries/ilmbase/slack-desc
new file mode 100644
index 0000000000..1ff8747215
--- /dev/null
+++ b/libraries/ilmbase/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ilmbase: ilmbase (Idustrial Light & Magic base libraries)
+ilmbase:
+ilmbase: ilmbase currently includes:
+ilmbase: IlmThread - a thread abstraction library
+ilmbase: Imath - a math function library
+ilmbase: Iex - an excpetion-handling library
+ilmbase: Half - Ilm's 16 bit floating point format library
+ilmbase:
+ilmbase: Homepage: http://www.openexr.org/
+ilmbase:
+ilmbase: